Retrieve All Client Code Distribution Metadata
Retrieves a list of all client code distributions in the Vault and their metadata.
This endpoint does not retrieve the contents of distribution manifest files.
GET
/api/{version}/uicode/distributionsHeaders
Section link for Headers| Name | Description |
|---|---|
Accept | application/json (default) or application/xml |
Request
Section link for Requestcurl -X GET -H "Authorization: {SESSION_ID}" \
https://myvault.veevavault.com/api/v26.1/uicode/distributionsResponse
Section link for Response{
"responseStatus": "SUCCESS",
"data": [
{
"name": "hello_world__c",
"checksum": "997e9213cfe8e87e8527e850e1c0f7d4",
"size": 2633285
},
{
"name": "data_grid__c",
"checksum": "aef4acfadc4b50a0324f792e217befd3",
"size": 493836
},
{
"name": "data_form__c",
"checksum": "edb0125dd7ac83e66159b25fbdd7172b",
"size": 2633511
}
]
}Response Details
Section link for Response DetailsThe response lists all client code distributions in the Vault and the following metadata for each distribution:
| Field Name | Description |
|---|---|
name | The name of the client code distribution. |
checksum | A unique string used to identify the distribution. |
size | The size of the unzipped client code distribution in bytes. |